package cn.iocoder.yudao.module.customer.convert.customerFollowup;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.customer.vo.customerFollowup.*;
import cn.iocoder.yudao.module.customer.dal.dataobject.customerFollowup.CustomerFollowupDO;

/**
 * 客户跟进 Convert
 * @author yanghao
 */
@Mapper
public interface CustomerFollowupConvert {
    /*****转换MapStruct*****/
    CustomerFollowupConvert INSTANCE = Mappers.getMapper(CustomerFollowupConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    CustomerFollowupDO convert(CustomerFollowupCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    CustomerFollowupDO convert(CustomerFollowupUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    CustomerFollowupBackVO convert(CustomerFollowupDO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    CustomerFollowupParentVO convertParent(CustomerFollowupDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<CustomerFollowupBackVO> convertList(List<CustomerFollowupDO> list);
    List<CustomerFollowupExcelVO> convertList2(List<CustomerFollowupDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<CustomerFollowupBackVO> convertPage(PageResult<CustomerFollowupDO> page);
}
