package cn.iocoder.yudao.module.customer.dal.dataobject.customerFollowup;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
 * 客户跟进 DO
 *
 * @author yanghao
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_customer_followup")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CustomerFollowupDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 编号
     */
    private String number;
    /**
     * 上一级跟进id
     */
    private Long parentId;
    /**
     * 上一级跟进单号
     */
    private String parentNumber;
    /**
     * 状态 字典customer_followup_status
     */
    private Integer status;
    /**
     * 客户编号
     */
    private Long customerId;
    /**
     * 报价单
     */
    private Long offerId;
    /**
     * 跟进类型 字典customer_followup_type
     */
    private Integer followType;
    /**
     * 销售阶段 字典sale_stage
     */
    private Integer saleStage;
    /**
     * 跟进时间
     */
    private Date followTime;

    /**
     * 联系人id
     */
    private Long contactId;
    /**
     * 联系人
     */
    private String contactName;
    /**
     * 跟进方式 字典customer_followup_method
     */
    private Integer followMethod;
    /**
     * 客户经理/跟进业务员id
     */
    private Long followUserId;

    @ApiModelProperty(value = "客户经理/跟进业务员所属部门id")
    private Long deptId;

    /**
     * 目的
     */
    private String purpose;
    /**
     * 跟进结果 字典customer_followup_result_type
     */
    private Integer resultType;
    /**
     * 客户反馈
     */
    private String feedback;
    /**
     * 附件 多个以逗号分隔
     */
    private String attatchment;
    /**
     * 下次跟进时间
     */
    private Date nextTime;
    /**
     * 下次跟进计划
     */
    private String nextPlan;



    @TableField(exist = false)
    private String customerNumber;
    @TableField(exist = false)
    private String customerName;
    @TableField(exist = false)
    private String offerNumber;
    //creator_name
    @TableField(exist = false)
    private String creatorName;
    // updater_name
    @TableField(exist = false)
    private String updaterName;

    @TableField(exist = false)
    private String followUserName;

    @TableField(exist = false)
    @ApiModelProperty(value = "客户来源")
    private String customerSource;

    @TableField(exist = false)
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "客户创建时间")
    private Date customerCreateTime;

    @ApiModelProperty(value = "联系人电话")
    @TableField(exist = false)
    private String contactPhone;
}
