package cn.iocoder.yudao.module.customer.enums;

import cn.iocoder.yudao.framework.common.exception.ErrorCode;

/**
 * 客户 错误码枚举类
 * <p>
 * 客户，使用 1-005-000-000 段
 */
public interface ErrorCodeConstants {

    ErrorCode CREDIT_NOT_EXISTS = new ErrorCode(1005001001, "信用等级不存在");

    ErrorCode CREDIT_RULE_NOT_EXISTS = new ErrorCode(1005001002, "信用规则不存在");

    ErrorCode LEVEL_NOT_EXISTS = new ErrorCode(1005001003, "客户级别不存在");
    ErrorCode LEVEL_RULE_NOT_EXISTS = new ErrorCode(1005001004, "客户级别规则不存在");

    ErrorCode CREDIT_LOG_NOT_EXISTS = new ErrorCode(1005001005, "客户信用日志不存在");

    ErrorCode LEVEL_LOG_NOT_EXISTS = new ErrorCode(1005001006, "客户等级日志不存在");

    ErrorCode INDIRECT_CUSTOMER_NOT_EXISTS = new ErrorCode(1005001007, "间接客户不存在");

    ErrorCode INDIRECT_CUSTOMER_CONTACTS_NOT_EXISTS = new ErrorCode(1005001008, "间接客户联系人不存在");


    ErrorCode OPERATE_LOG_NOT_EXISTS = new ErrorCode(1005001009, "客户操作日志不存在");

    ErrorCode BANK_NOT_EXISTS = new ErrorCode(1005001010, "客户银行账户不存在");


    ErrorCode COMPETITOR_NOT_EXISTS = new ErrorCode(1005001011, "客户竞争对手不存在");
    ErrorCode COMPETITOR_EXISTS = new ErrorCode(1005001012, "竞争对手名称已存在");
    ErrorCode FOLLOWUP_NOT_EXISTS = new ErrorCode(1005001013, "客户跟进不存在");
    ErrorCode FOLLOWUP_ALREADY_SUBMITTED = new ErrorCode(1005001014, "客户跟进已提交不可再修改");

    ErrorCode FOLLOWUP_NUMBER_NOT_NULL = new ErrorCode(1005001015, "客户跟进编号不能为空");

    ErrorCode FOLLOWUP_TYPE_NOT_NULL = new ErrorCode(1005001016, "请选择跟进类型");
    ErrorCode BUSINESS_OPPORTUNITY_FOLLOWUP_OFFER_NOT_NULL = new ErrorCode(1005001017, "商机跟进时，请选择报价单");
    ErrorCode CUSTOMER_NOT_NULL = new ErrorCode(1005001018, "请选择客户");
    ErrorCode CUSTOMER_CONTACT_NOT_NULL = new ErrorCode(1005001019, "请选择客户联系人");
    ErrorCode FOLLOWUP_TIME_NOT_NULL = new ErrorCode(1005001020, "请选择跟进时间");
    ErrorCode FOLLOWUP_METHOD_NOT_NULL = new ErrorCode(1005001021, "请选择跟进方式");
    ErrorCode CUSTOMER_SERVICE_NOT_NULL = new ErrorCode(1005001022, "请选择客户经理");
    ErrorCode FOLLOWUP_RESULT_NOT_NULL = new ErrorCode(1005001023, "请选择跟进结果");
    ErrorCode FOLLOWUP_PURPOSE_NOT_NULL = new ErrorCode(1005001024, "请填写跟进目的");
    ErrorCode FOLLOWUP_FEEFBACK_NOT_NULL = new ErrorCode(1005001025, "请填写跟进情况");
    ErrorCode NEXT_FOLLOWUP_TIME_NOT_NULL = new ErrorCode(1005001026, "请选择下次跟进时间");
    ErrorCode NEXT_FOLLOWUP_PLAN_NOT_NULL = new ErrorCode(1005001027, "请填写下一步计划");
    ErrorCode SALE_STAGE_NOT_NULL = new ErrorCode(1005001028, "请选择销售阶段");

}
