package cn.iocoder.yudao.module.customer.vo.customer.vo;

import cn.iocoder.yudao.module.customer.vo.customer.line.CustomerLineUpdateReqVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.math.BigDecimal;
import java.util.List;

@ApiModel("管理后台 - 重货标准切换 Request VO")
@Data
@EqualsAndHashCode
@ToString
public class CustomerChangeWeightUnitReqVO {

    @ApiModelProperty(value = "客户ID列表", required = true)
    @NotEmpty(message = "客户ID列表不能为空")
    private List<Long> customerIdList;
    /**
     * 重货标准(CBM)
     */
    @ApiModelProperty(value = "重货标准 可以为空。 当为空时线路会被删除", required = true)
    private BigDecimal weightUnit;


    /**
     * 客户线路集合
     */
    @ApiModelProperty(value = "客户线路集合", notes = "参见CustomerLineUpdateReqVO")
    @Valid
    private List<CustomerLineUpdateReqVO> customerLines;


}
