package cn.iocoder.yudao.module.customer.vo.customer.vo;

import cn.iocoder.yudao.module.customer.vo.customer.customerContacts.CustomerContactsUpdateReqVO;
import cn.iocoder.yudao.module.customer.vo.customer.line.CustomerLineUpdateReqVO;
import cn.iocoder.yudao.module.customer.vo.customerBank.CustomerBankUpdateReqVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.hibernate.validator.constraints.Length;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@ApiModel("管理后台 - 客户设置更新 Request VO")
@Data
@ToString(callSuper = true)
public class CustomerSetupUpdateReqVO {

    @ApiModelProperty(value = "客户ID 主键", required = true)
    @NotNull(message = "客户ID不能为空")
    private Long id;


    /**
     * 是否显示提单价格
     */
    @ApiModelProperty(value = "是否显示提单价格")
    private Boolean isShowTidanPrice;


    /**
     * 到仓确认
     */
    @ApiModelProperty(value = "到仓确认")
    private Integer arrivalConfirm;

    /**
     * 默认开票，1-是，0-否
     */
    @ApiModelProperty(value = "默认开票，1-是，0-否")
    private Boolean defaultBilling;

    @ApiModelProperty(value = "是否默认付款")
    private Boolean defaultPay;

    @ApiModelProperty(value = "是否控货无收货人")
    private Boolean noConsignee;


    /**
     * 重货标准(CBM)
     */
    @ApiModelProperty(value = "重货标准")
    private BigDecimal weightUnit;
    /**
     * 泡货标准(kg)
     */
    @ApiModelProperty(value = "泡货标准(kg)")
    private BigDecimal lightUnit;


    /**
     * 客户线路集合
     */
    @ApiModelProperty(value = "客户线路集合", notes = "参见CustomerLineUpdateReqVO")
    @Valid
    private List<CustomerLineUpdateReqVO> customerLines;

}
