package cn.iocoder.yudao.module.customer.vo.customerFollowup;

import cn.iocoder.yudao.framework.excel.annotations.DictFormat;
import cn.iocoder.yudao.framework.excel.convert.DictConvert;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 客户跟进 Response VO
* @author yanghao
*/
@Data
@ApiModel("管理后台 - 客户跟进 Response VO")
public class CustomerFollowupBackVO {

    @ApiModelProperty(value = "主键", required = true)
    private Long id;

    @ExcelProperty("编号")
    @ApiModelProperty(value = "编号")
    private String number;

    @ExcelProperty(value = "跟进类型", converter = DictConvert.class)
    @DictFormat("customer_followup_type")
    @ApiModelProperty(value = "跟进类型 字典customer_followup_type")
    private Integer followType;

    @ExcelProperty(value = "销售阶段", converter = DictConvert.class)
    @DictFormat("sale_stage")
    @ApiModelProperty(value = "销售阶段 字典sale_stage")
    private Integer saleStage;

    @ApiModelProperty(value = "报价单")
    private Long offerId;
    @ExcelProperty("报价单")
    @ApiModelProperty(value = "报价单编号")
    private String offerNumber;

    @ExcelProperty("跟进时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "跟进时间")
    private Date followTime;

    @ApiModelProperty(value = "客户编号")
    private Long customerId;
    @ExcelProperty("客户编号")
    @ApiModelProperty(value = "客户编号")
    private String customerNumber;

    @ExcelProperty("客户名称")
    @ApiModelProperty(value = "客户名称")
    private String customerName;

    @ExcelProperty("客户来源")
    @ApiModelProperty(value = "客户来源")
    private String customerSource;

    @ExcelProperty("客户创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "客户创建时间")
    private Date customerCreateTime;

    // 联系人id
    @ApiModelProperty(value = "联系人id")
    private Long contactId;

    @ExcelProperty("联系人")
    @ApiModelProperty(value = "联系人")
    private String contactName;

    @ApiModelProperty(value = "客户经理/跟进业务员id")
    private Long followUserId;

    @ApiModelProperty("客户经理")
    private String followUserName;

    @ApiModelProperty(value = "客户经理/跟进业务员所属部门id")
    private Long deptId;

    @ApiModelProperty("部门名称")
    private String deptName;

    @ExcelProperty(value = "跟进方式", converter = DictConvert.class)
    @DictFormat("customer_followup_method")
    @ApiModelProperty(value = "跟进类型 字典customer_followup_type")
    private Integer followMethod;


    @ExcelProperty("目的")
    @ApiModelProperty(value = "目的")
    private String purpose;

    @ExcelProperty(value = "结果", converter = DictConvert.class)
    @DictFormat("customer_followup_result_type")
    @ApiModelProperty(value = "跟进结果 字典customer_followup_result_type")
    private Integer resultType;

    @ExcelProperty("跟进情况")
    @ApiModelProperty(value = "客户反馈")
    private String feedback;


    @ExcelProperty("下次跟进时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "下次跟进时间")
    private Date nextTime;

    @ExcelProperty("下次跟进计划")
    @ApiModelProperty(value = "下次跟进计划")
    private String nextPlan;


    @ExcelProperty("关联跟进纪录")
    @ApiModelProperty(value = "上一级跟进单号")
    private String parentNumber;


    @ApiModelProperty(value = "上一级跟进单ID")
    private String parentId;


    @ExcelProperty(value = "提交状态", converter = DictConvert.class)
    @DictFormat("customer_followup_status")
    @ApiModelProperty(value = "状态 字典customer_followup_status")
    private Integer status;


    //creator_name
    @ExcelProperty("创建人")
    @ApiModelProperty(value = "创建人名称")
    private String creatorName;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;



    // updater_name
    @ExcelProperty("最后更新人")
    @ApiModelProperty(value = "更新人名称")
    private String updaterName;


    @ExcelProperty("最后更新时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;


    @ApiModelProperty(value = "附件 多个以逗号分隔")
    private String attatchment;



    @ExcelProperty("联系人电话")
    @ApiModelProperty(value = "联系人电话")
    private String contactPhone;

    @ApiModelProperty(value = "上级跟进详情")
    private CustomerFollowupParentVO parentVO;


}
