package cn.iocoder.yudao.module.customer.vo.customerFollowup;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 客户跟进 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class CustomerFollowupBaseVO {

    @ApiModelProperty(value = "编号")
    private String number;

    @ApiModelProperty(value = "上一级跟进单号")
    private String parentNumber;

    @ApiModelProperty(value = "状态 字典customer_followup_status")
    private Integer status;

    @ApiModelProperty(value = "客户编号")
    private Long customerId;

    @ApiModelProperty(value = "报价单")
    private Long offerId;

    @ApiModelProperty(value = "跟进类型 字典customer_followup_type")
    private Integer followType;

    @ApiModelProperty(value = "销售阶段 字典sale_stage")
    private Integer saleStage;

    @ApiModelProperty(value = "跟进时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date followTime;

    //联系人id
    @ApiModelProperty(value = "联系人id")
    private Long contactId;

    @ApiModelProperty(value = "联系人")
    private String contactName;

    @ApiModelProperty(value = "跟进方式 字典customer_followup_method")
    private Integer followMethod;

    @ApiModelProperty(value = "客户经理/跟进业务员id")
    private Long followUserId;

    @ApiModelProperty(value = "客户经理/跟进业务员所属部门id")
    private Long deptId;

    @ApiModelProperty(value = "目的")
    private String purpose;

    @ApiModelProperty(value = "跟进结果 字典customer_followup_result_type")
    private Integer resultType;

    @ApiModelProperty(value = "客户反馈")
    private String feedback;

    @ApiModelProperty(value = "附件 多个以逗号分隔")
    private String attatchment;

    @ApiModelProperty(value = "下次跟进时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date nextTime;

    @ApiModelProperty(value = "下次跟进计划")
    private String nextPlan;

}
