package cn.iocoder.yudao.module.customer.vo.customerFollowup;

import cn.iocoder.yudao.framework.excel.annotations.DictFormat;
import cn.iocoder.yudao.framework.excel.convert.DictConvert;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 客户跟进 Response VO
* @author yanghao
*/
@Data
@ApiModel("管理后台 - 客户跟进Excel Response VO")
public class CustomerFollowupExcelVO {


    @ExcelProperty("编号")
    @ApiModelProperty(value = "编号")
    private String number;

    @ExcelProperty(value = "跟进类型", converter = DictConvert.class)
    @DictFormat("customer_followup_type")
    @ApiModelProperty(value = "跟进类型 字典customer_followup_type")
    private Integer followType;



    @ExcelProperty("报价单号")
    @ApiModelProperty(value = "报价单编号")
    private String offerNumber;

    @ExcelProperty("跟进时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "跟进时间")
    private Date followTime;


    @ExcelProperty("客户编号")
    @ApiModelProperty(value = "客户编号")
    private String customerNumber;


    @ExcelProperty("联系人")
    @ApiModelProperty(value = "联系人")
    private String contactName;


    @ExcelProperty("联系人电话")
    @ApiModelProperty(value = "联系人电话")
    private String contactPhone;

    @ExcelProperty("客户经理")
    private String followUserName;


    @ExcelProperty(value = "跟进方式", converter = DictConvert.class)
    @DictFormat("customer_followup_method")
    @ApiModelProperty(value = "跟进方式 字典customer_followup_method")
    private Integer followMethod;


    @ExcelProperty("目的")
    @ApiModelProperty(value = "目的")
    private String purpose;

    @ExcelProperty("跟进情况")
    @ApiModelProperty(value = "客户反馈")
    private String feedback;

    @ExcelProperty(value = "跟进结果", converter = DictConvert.class)
    @DictFormat("customer_followup_result_type")
    @ApiModelProperty(value = "跟进结果 字典customer_followup_result_type")
    private Integer resultType;



    @ExcelProperty("下次跟进时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "下次跟进时间")
    private Date nextTime;

    @ExcelProperty("关联跟进纪录")
    @ApiModelProperty(value = "上一级跟进单号")
    private String parentNumber;

    @ExcelProperty("下次跟进计划")
    @ApiModelProperty(value = "下次跟进计划")
    private String nextPlan;




    @ExcelProperty(value = "提交状态", converter = DictConvert.class)
    @DictFormat("customer_followup_status")
    @ApiModelProperty(value = "状态 字典customer_followup_status")
    private Integer status;


    //creator_name
    @ExcelProperty("创建人")
    @ApiModelProperty(value = "创建人名称")
    private String creatorName;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;



    // updater_name
    @ExcelProperty("最后更新人")
    @ApiModelProperty(value = "更新人名称")
    private String updaterName;


    @ExcelProperty("最后更新时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;


}
