package cn.iocoder.yudao.module.customer.vo.customerFollowup;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 客户跟进查询 VO")
public class CustomerFollowupQueryVO extends PageParam {

    @ApiModelProperty(value = "编号")
    private String number;

    @ApiModelProperty(value = "上一级跟进单号")
    private String parentNumber;

    @ApiModelProperty(value = "状态 字典customer_followup_status")
    private Integer status;

    @ApiModelProperty(value = "客户id")
    private Long customerId;

    @ApiModelProperty(value = "客户编号")
    private String customerNumber;

    @ApiModelProperty(value = "客户编号")
    private Long customerDetailId;

    @ApiModelProperty(value = "报价单id")
    private Long offerId;

    @ApiModelProperty(value = "报价单id列表")
    private List<Long> offerIds;


    @ApiModelProperty(value = "报价单编号")
    private String offerNumber;

    @ApiModelProperty(value = "跟进类型 字典customer_followup_type")
    private Integer followType;

    @ApiModelProperty(value = "销售阶段 字典sale_stage")
    private Integer saleStage;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始跟进时间")
    private Date beginFollowTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束跟进时间")
    private Date endFollowTime;

    //联系人id
    @ApiModelProperty(value = "联系人id")
    private Long contactId;

    @ApiModelProperty(value = "联系人")
    private String contactName;

    @ApiModelProperty(value = "跟进方式 字典customer_followup_method")
    private Integer followMethod;

    @ApiModelProperty(value = "客户经理/跟进业务员id")
    private Long followUserId;

    @ApiModelProperty(value = "目的")
    private String purpose;

    @ApiModelProperty(value = "跟进结果 字典customer_followup_result_type")
    private Integer resultType;

    @ApiModelProperty(value = "客户反馈")
    private String feedback;

    @ApiModelProperty(value = "附件 多个以逗号分隔")
    private String attatchment;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始下次跟进时间")
    private Date beginNextTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束下次跟进时间")
    private Date endNextTime;

    @ApiModelProperty(value = "下次跟进计划")
    private String nextPlan;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

    // 更新时间
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始更新时间")
    private Date beginUpdateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束更新时间")
    private Date endUpdateTime;


    @ApiModelProperty(value = "跟进类型，下拉多选")
    private List<Integer> followTypes;
    @ApiModelProperty(value = "跟进方式，下拉多选")
    private List<Integer> followMethods;
    @ApiModelProperty(value = "跟进结果，下拉多选")
    private List<Integer> resultTypes;
    //跟进状态，多选，逗号分隔
    @ApiModelProperty(value = "跟进状态，下拉多选")
    private List<Integer> statuses;

    @ApiModelProperty(value = "客户经理/跟进业务员ids")
    private List<Long> followUserIds;

    @ApiModelProperty(value = "联系人电话")
    private String contactPhone;

    @ApiModelProperty(value = "客户名称")
    private String customerName;

    @ApiModelProperty(value = "操作用户的所属权限部门ID列表")
    private List<Long> deptIdList;


    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始客户创建时间")
    private Date beginCustomerCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束客户创建时间")
    private Date endCustomerCreateTime;

    @ApiModelProperty(value = "客户来源")
    private List<Integer> customerSourceList;

}
